package com.diagbot.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 术后首程
 * </p>
 *
 * @author cy
 * @time: 2024-10-09
 */
public class StrOperativeFirstRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 记录编号
     */
    private String recId;

    /**
     * 医院ID
     */
    private Long hospitalId;

    /**
     * 病历号
     */
    private String behospitalCode;

    /**
     * 姓名
     */
    private String name;

    /**
     * 性别
     */
    private String sex;

    /**
     * 年龄
     */
    private String age;

    /**
     * 床号
     */
    private String bedNo;

    /**
     * 科别
     */
    private String deptName;

    /**
     * 病历日期
     */
    private Date recordDate;

    /**
     * 标题
     */
    private String recTitle;

    /**
     * 手术日期
     */
    private Date operationDate;

    /**
     * 开始时间
     */
    private Date startTime;

    /**
     * 结束时间
     */
    private Date endTime;

    /**
     * 麻醉方式
     */
    private String narcosisType;

    /**
     * 麻醉医师
     */
    private String narcosisDoctor;

    /**
     * 术前诊断
     */
    private String preoperationDiagnosis;

    /**
     * 术（中）后诊断
     */
    private String postoperativeDiagnosis;

    /**
     * 手术人员
     */
    private String operationMan;

    /**
     * 手术名称方式
     */
    private String operationName;

    /**
     * 手术简要经过
     */
    private String operationProcess;

    /**
     * 患者术后情况
     */
    private String postoperativeSituation;

    /**
     * 术后处理措施
     */
    private String postoperativeTreatment;

    /**
     * 术后注意事项
     */
    private String postoperativeNotice;

    /**
     * 术后可能出现的并发症及预防措施
     */
    private String postoperativeComplication;

    /**
     * 手术切除标本
     */
    private String operationSpecimen;

    /**
     * 术中出血量
     */
    private String operationBleed;

    /**
     * 术中输血量
     */
    private String operationBloodTransfusion;

    /**
     * 术中并发症
     */
    private String operationComplication;

    /**
     * 记录医生
     */
    private String recDoctor;

    /**
     * 记录时间
     */
    private Date recDate;

    /**
     * 审核医生
     */
    private String auditDoctor;

    /**
     * 审核时间
     */
    private Date auditDate;

    /**
     * 结构化数据
     */
    private String wholeData;

    /**
     * 备注
     */
    private String remark;

    /**
     * 是否删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间
     */
    private Date gmtModified;

    /**
     * 创建人
     */
    private String creator;

    /**
     * 修改人
     */
    private String modifier;

    public String getRecId() {
        return recId;
    }

    public void setRecId(String recId) {
        this.recId = recId;
    }
    public Long getHospitalId() {
        return hospitalId;
    }

    public void setHospitalId(Long hospitalId) {
        this.hospitalId = hospitalId;
    }
    public String getBehospitalCode() {
        return behospitalCode;
    }

    public void setBehospitalCode(String behospitalCode) {
        this.behospitalCode = behospitalCode;
    }
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }
    public String getAge() {
        return age;
    }

    public void setAge(String age) {
        this.age = age;
    }
    public String getBedNo() {
        return bedNo;
    }

    public void setBedNo(String bedNo) {
        this.bedNo = bedNo;
    }
    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }
    public Date getRecordDate() {
        return recordDate;
    }

    public void setRecordDate(Date recordDate) {
        this.recordDate = recordDate;
    }
    public String getRecTitle() {
        return recTitle;
    }

    public void setRecTitle(String recTitle) {
        this.recTitle = recTitle;
    }
    public Date getOperationDate() {
        return operationDate;
    }

    public void setOperationDate(Date operationDate) {
        this.operationDate = operationDate;
    }
    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }
    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }
    public String getNarcosisType() {
        return narcosisType;
    }

    public void setNarcosisType(String narcosisType) {
        this.narcosisType = narcosisType;
    }
    public String getNarcosisDoctor() {
        return narcosisDoctor;
    }

    public void setNarcosisDoctor(String narcosisDoctor) {
        this.narcosisDoctor = narcosisDoctor;
    }
    public String getPreoperationDiagnosis() {
        return preoperationDiagnosis;
    }

    public void setPreoperationDiagnosis(String preoperationDiagnosis) {
        this.preoperationDiagnosis = preoperationDiagnosis;
    }
    public String getPostoperativeDiagnosis() {
        return postoperativeDiagnosis;
    }

    public void setPostoperativeDiagnosis(String postoperativeDiagnosis) {
        this.postoperativeDiagnosis = postoperativeDiagnosis;
    }
    public String getOperationMan() {
        return operationMan;
    }

    public void setOperationMan(String operationMan) {
        this.operationMan = operationMan;
    }
    public String getOperationName() {
        return operationName;
    }

    public void setOperationName(String operationName) {
        this.operationName = operationName;
    }
    public String getOperationProcess() {
        return operationProcess;
    }

    public void setOperationProcess(String operationProcess) {
        this.operationProcess = operationProcess;
    }
    public String getPostoperativeSituation() {
        return postoperativeSituation;
    }

    public void setPostoperativeSituation(String postoperativeSituation) {
        this.postoperativeSituation = postoperativeSituation;
    }
    public String getPostoperativeTreatment() {
        return postoperativeTreatment;
    }

    public void setPostoperativeTreatment(String postoperativeTreatment) {
        this.postoperativeTreatment = postoperativeTreatment;
    }
    public String getPostoperativeNotice() {
        return postoperativeNotice;
    }

    public void setPostoperativeNotice(String postoperativeNotice) {
        this.postoperativeNotice = postoperativeNotice;
    }
    public String getPostoperativeComplication() {
        return postoperativeComplication;
    }

    public void setPostoperativeComplication(String postoperativeComplication) {
        this.postoperativeComplication = postoperativeComplication;
    }
    public String getOperationSpecimen() {
        return operationSpecimen;
    }

    public void setOperationSpecimen(String operationSpecimen) {
        this.operationSpecimen = operationSpecimen;
    }
    public String getOperationBleed() {
        return operationBleed;
    }

    public void setOperationBleed(String operationBleed) {
        this.operationBleed = operationBleed;
    }
    public String getOperationBloodTransfusion() {
        return operationBloodTransfusion;
    }

    public void setOperationBloodTransfusion(String operationBloodTransfusion) {
        this.operationBloodTransfusion = operationBloodTransfusion;
    }
    public String getOperationComplication() {
        return operationComplication;
    }

    public void setOperationComplication(String operationComplication) {
        this.operationComplication = operationComplication;
    }
    public String getRecDoctor() {
        return recDoctor;
    }

    public void setRecDoctor(String recDoctor) {
        this.recDoctor = recDoctor;
    }
    public Date getRecDate() {
        return recDate;
    }

    public void setRecDate(Date recDate) {
        this.recDate = recDate;
    }
    public String getAuditDoctor() {
        return auditDoctor;
    }

    public void setAuditDoctor(String auditDoctor) {
        this.auditDoctor = auditDoctor;
    }
    public Date getAuditDate() {
        return auditDate;
    }

    public void setAuditDate(Date auditDate) {
        this.auditDate = auditDate;
    }
    public String getWholeData() {
        return wholeData;
    }

    public void setWholeData(String wholeData) {
        this.wholeData = wholeData;
    }
    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }
    public Date getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }
    public Date getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }
    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }
    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    @Override
    public String toString() {
        return "StrOperativeFirstRecord{" +
            "recId=" + recId +
            ", hospitalId=" + hospitalId +
            ", behospitalCode=" + behospitalCode +
            ", name=" + name +
            ", sex=" + sex +
            ", age=" + age +
            ", bedNo=" + bedNo +
            ", deptName=" + deptName +
            ", recordDate=" + recordDate +
            ", recTitle=" + recTitle +
            ", operationDate=" + operationDate +
            ", startTime=" + startTime +
            ", endTime=" + endTime +
            ", narcosisType=" + narcosisType +
            ", narcosisDoctor=" + narcosisDoctor +
            ", preoperationDiagnosis=" + preoperationDiagnosis +
            ", postoperativeDiagnosis=" + postoperativeDiagnosis +
            ", operationMan=" + operationMan +
            ", operationName=" + operationName +
            ", operationProcess=" + operationProcess +
            ", postoperativeSituation=" + postoperativeSituation +
            ", postoperativeTreatment=" + postoperativeTreatment +
            ", postoperativeNotice=" + postoperativeNotice +
            ", postoperativeComplication=" + postoperativeComplication +
            ", operationSpecimen=" + operationSpecimen +
            ", operationBleed=" + operationBleed +
            ", operationBloodTransfusion=" + operationBloodTransfusion +
            ", operationComplication=" + operationComplication +
            ", recDoctor=" + recDoctor +
            ", recDate=" + recDate +
            ", auditDoctor=" + auditDoctor +
            ", auditDate=" + auditDate +
            ", wholeData=" + wholeData +
            ", remark=" + remark +
            ", isDeleted=" + isDeleted +
            ", gmtCreate=" + gmtCreate +
            ", gmtModified=" + gmtModified +
            ", creator=" + creator +
            ", modifier=" + modifier +
        "}";
    }
}
